Bug 13902 - iniscripts require linuxconf when IP-aliasing
iniscripts require linuxconf when IP-aliasing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-13 07:37 EDT by js
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-14 03:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description js 2000-07-13 07:37:51 EDT
When the command "/etc/rc.d/inet.d/network start" is issued. IP aliases as 
defined in ifcfg-eth0:0, ifcfg-eth0:1 etc. isn't started, when linuxconf 
for security reasons have been removed. This is properly due to a bug in 
the ifup-aliases script ?
Comment 1 Bill Nottingham 2000-07-13 11:29:39 EDT
ip aliases created with linuxconf require linuxconf to run.

To flag it as an alias not created by linuxconf, add
"DEVICE=eth0:0" (or whatever) to the alias definition.
Comment 2 js 2000-07-14 03:54:35 EDT
Linuxconf, was removed before the IP alias files was created. All virtual hosts 
files ifcfg-eth0:0 et was written by hand !

Anyway, the trick with a DEVICE=eth0:0 solves the problem. Thanks !


Note You need to log in before you can comment on or make changes to this bug.